/*-
 * ========================LICENSE_START=================================
 * O-RAN-SC
 * %%
 * Copyright (C) 2020 Nordix Foundation
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oransc.portal.nonrtric.controlpanel.model;

import com.google.gson.annotations.SerializedName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;

import org.immutables.gson.Gson;

@Gson.TypeAdapters
@ApiModel(value = "ei_job_request", description = "The EI job")
@Builder
public class JobInfo {

    @ApiModelProperty(value = "Identity of the EI job", required = true)
    @SerializedName("ei_job_identity")
    public String id;

    @ApiModelProperty(value = "Type identity for the job")
    @SerializedName("ei_type_identity")
    public String typeId;

    @ApiModelProperty(value = "Json for the job data")
    @SerializedName("ei_job_data")
    public Object jobData;

    @ApiModelProperty(value = "URI for the target of the EI")
    @SerializedName("target_uri")
    public String targetUri;

    @ApiModelProperty(value = "The owner of the job")
    @SerializedName("owner")
    public String owner;

}
